org.eclipse.ui

## Interface IWindowListener

    public interface IWindowListener

Interface for listening to window lifecycle events.

This interface may be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `windowActivated(IWorkbenchWindow window)` Notifies this listener that the given window has been activated.
`void` `windowClosed(IWorkbenchWindow window)` Notifies this listener that the given window has been closed.
`void` `windowDeactivated(IWorkbenchWindow window)` Notifies this listener that the given window has been deactivated.
`void` `windowOpened(IWorkbenchWindow window)` Notifies this listener that the given window has been opened.

### Method Detail

#### windowActivated

    void windowActivated(IWorkbenchWindow window)

Notifies this listener that the given window has been activated.

Note: This event is not fired if no perspective is open (the window is empty).

Parameters:
  `window` - the window that was activated

#### windowDeactivated

    void windowDeactivated(IWorkbenchWindow window)

Notifies this listener that the given window has been deactivated.

Note: This event is not fired if no perspective is open (the window is empty).

Parameters:
  `window` - the window that was activated

#### windowClosed

    void windowClosed(IWorkbenchWindow window)

Notifies this listener that the given window has been closed.

Parameters:
  `window` - the window that was closed
See Also:
  `IWorkbenchWindow.close()`

#### windowOpened

    void windowOpened(IWorkbenchWindow window)

Notifies this listener that the given window has been opened.

Parameters:
  `window` - the window that was opened
See Also:
  `IWorkbench.openWorkbenchWindow(java.lang.String, org.eclipse.core.runtime.IAdaptable)`